package com.brilliance.isc.bo.lg;

import com.brilliance.isc.bo.model.Trnmod;
import com.brilliance.isc.common.transaction.vo.BaseTransactionVo;
import com.brilliance.isc.common.trnmod.vo.SwiaddVo;
import com.brilliance.isc.common.vo.AddbcbVo;
import com.brilliance.isc.common.vo.CnybopVo;
import com.brilliance.isc.bo.model.Cfanit;
import com.brilliance.isc.bo.model.Nidgrp;
import com.brilliance.isc.bo.model.Nitp;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class NitpopStoreBo extends BaseTransactionVo {
        private Nidgrp nidgrp;
        private Nitp nitp;
        private Cfanit cfanit;
        private CnybopVo cnybop;
        private AddbcbVo addbcb;
        private SwiaddVo swiadd;
        private Trnmod trnmod;
        @Override
        public void reset() {
            super.reset();
            if (nidgrp == null) {
                nidgrp = new Nidgrp();
            }
            nidgrp.reset();
            if (nitp == null) {
                nitp = new Nitp();
            }
            nitp.reset();
            if (cfanit == null) {
                cfanit = new Cfanit();
            }
            if (cnybop == null) {
                cnybop = new CnybopVo();
            }
            if (addbcb == null) {
                addbcb = new AddbcbVo();
            }
            if (swiadd == null) {
                swiadd = new SwiaddVo();
            }
            swiadd.reset();
            if (trnmod == null) {
                trnmod = new Trnmod();
            }
            trnmod.reset();
        }
}
